# projectsLoaded

abstract fun <T> projectsLoaded(buildAction: BuildAction<T>, handler: IntermediateResultHandler<in T>): BuildActionExecuter.Builder

Executes the given action after projects are loaded and sends its result to the given result handler.

Action will be executed after projects are loaded and Gradle will configure projects as necessary for the models requested.

If the operation fails, build will fail with the appropriate exception. The handler won't be notified in case of failure.

#### Return

The builder.

#### Parameters

buildAction

The action to run in the specified build phase.

handler

The handler to supply the result of the given action to.

<T>

The returning type of the action.

#### Throws

IllegalArgumentException

If an action has already been added to this build phase. Multiple actions per phase are not supported yet.